Skip to content
GET /unified/hris/benefits

Query Parameters

Refer Specifying query parameters in Truto APIs

employee_idstring

The unique identifier for employees

1 supported1 required
BambooHR
required
employeeobject

Employee associated with this benefit

References: Employees → id
5 supported3 required
Breathe
required
Gusto
required
PeopleHR
required
BambooHR
supported
HR Partner
supported
idstring

The unique identifier for employees

namestring

This represents the name of the employee

statusstring

This represents the status of the benefit

2 supported
Gusto
supported
HR Partner
supported
company_benefitobject
4 supported
BambooHR
supported
Breathe
supported
Gusto
supported
HR Partner
supported
descriptionstring

This represents the description of the company benefit

idstring

The unique identifier for company benefits

namestring

This represents the name of the company benefit

start_datestring · date-time

This represents the start date of the benefit

4 supported
BambooHR
supported
Breathe
supported
HR Partner
supported
PeopleHR
supported
end_datestring · date-time

This represents the end date of the benefit

4 supported
BambooHR
supported
Breathe
supported
HR Partner
supported
PeopleHR
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Benefits

idstring
required·

The unique identifier for benefits

5 supported
BambooHR
supported
Breathe
supported
Gusto
supported
HR Partner
supported
PeopleHR
supported
company_benefitobject
4 supported
BambooHR
supported
Breathe
supported
Gusto
supported
HR Partner
supported
3 properties
descriptionstring

This represents the description of the company benefit

idstring

The unique identifier for company benefits

namestring

This represents the name of the company benefit

company_contributionstring

This represents the company contribution

4 supported
BambooHR
supported
Breathe
supported
Gusto
supported
PeopleHR
supported
created_atstring · date-time

This represents the date when the benefits was created

1 supported
Breathe
supported
currencystring

This represents the currency in which the contribution is made

1 supported
BambooHR
supported
employeeobject

Employee associated with this benefit

References: Employees → id
5 supported
BambooHR
supported
Breathe
supported
Gusto
supported
HR Partner
supported
PeopleHR
supported
2 properties
idstring

The unique identifier for employees

namestring

This represents the name of the employee

employee_contributionstring

This represents the employee contribution

3 supported
BambooHR
supported
Breathe
supported
Gusto
supported
end_datestring · date-time

This represents the end date of the benefit

4 supported
BambooHR
supported
Breathe
supported
HR Partner
supported
PeopleHR
supported
namestring

The name of the benefit

4 supported
BambooHR
supported
Breathe
supported
HR Partner
supported
PeopleHR
supported
provider_namestring

This represents the provider name

1 supported
HR Partner
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

start_datestring · date-time

This represents the start date of the benefit

4 supported
BambooHR
supported
Breathe
supported
HR Partner
supported
PeopleHR
supported
statusstring

This represents the status of the benefit

2 supported
Gusto
supported
HR Partner
supported
updated_atstring · date-time

This represents the date when the benefits was updated

1 supported
Breathe
supported
curl -X GET 'https://api.truto.one/unified/hris/benefits?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/hris/benefits?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/hris/benefits"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'hris',
  'benefits',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "hris",
        "benefits",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())